我之前安装apache无法运行。然后一个作死
apt install apache*

然后出现了个错误apacheds无法安装
在处理时有错误发生:
apacheds
E: Sub-process /usr/bin/dpkg returned an error code (1)

而且用各种卸载方法也卸不掉。我默默的掏出了rm -rf
whereis apacheds
回显:apacheds: /etc/apacheds /usr/share/apacheds
rm -rf /etc/apacheds
rm -rf /usr/share/apacheds

然后随便安装一个软件的时候还是依然那个错误
在处理时有错误发生:
apacheds
E: Sub-process /usr/bin/dpkg returned an error code (1)

前面有一些内容
7月 05 10:49:15 kali systemd[1]: /lib/systemd/system/apacheds.service:11: Executable path is not absolute: ${JAVA_HOME}/bin/java ${JAVA_OPTS} -Dapacheds.controls=${ADS_CONTROLS} -Dapacheds.extendedOperations=${ADS_EXTENDED_OPERATIONS} -Dlog4j.configuration=file:${ADS_INSTANCES}/${ADS_INSTANCE}/conf/log4j.properties -Dapacheds.log.dir=${ADS_INSTANCES}/${ADS_INSTANCE}/log -cp '${ADS_HOME}/lib/*' org.apache.directory.server.UberjarMain ${ADS_INSTANCES}/${ADS_INSTANCE}

所以我赌了一把
rm -rf /lib/systemd/system/apacheds.service
然后在用apt autoremove apacheds卸载成功了

安装其他软件已经默认任何报错了。
然后因为kali的更新我要安装open-vmware-tools
apt-get install open-vm-tools-desktop fuse
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
fuse 已经是最新版 (2.9.7-1)。
open-vm-tools-desktop 已经是最新版 (2:10.2.5-1+b1)。
升级了 0 个软件包,新安装了 0 个软件包,要卸载 0 个软件包,有 1990 个软件包未被升级。

0

正因为生来什么都没有,因此我们能拥有一切。